Subject: [6tisch] define 6top MIB before write YANG model?

From: Qin Wang <[email-masked]>
Date: Fri, 20 Dec 2013 02:44:02 +0800

Hi all,

For the 6top-interface draft, we have agreed that it mainly includes 6top
commands and YANG model. According to my understanding, YANG is a language
to describe MIB and remote procedure call (RPC). The 6top commands just
define API, but not provide a full definition of 6top MIB.  In my mind, the
MIB consists of tables like those in IEEE802.15.4e, including attribute
name, type, and default value.

Thus, I wonder if we should define the 6top MIB before writing YANG data
model. Maybe, in the draft we can only include the YANG model, but, for
working more efficient, should we make agreement on MIB first, and then
express the MIB in YANG?

What do you think?

Thanks
Qin